#Player Updates & Right Click Detection
execute as @a run function mrlib:player/movement/update_times
execute as @a run function mrlib:player/movement/update_has_motion
execute as @a[scores={mei.useW=1..}] at @s run function mei:on_right_click
# Flying Fist Visual Management
execute as @e[type=item_display,tag=mei.guantlet.effect] run function mei:items/function/guantlet/visual
#Ammo
execute as @a if data entity @s SelectedItem.components."minecraft:custom_data"."mei.item".ammo run function mei:items/function/ammo/display
#Sawblade
execute as @e[type=item_display,tag=mei.sawblade.effect] at @s run function mei:items/function/sawblade_launcher/sawblade
#Launcher
execute as @e[type=item_display,tag=mei.launcher.projectile] at @s run function mei:items/function/launcher/update_projectile
#Label & Usable Item Display
execute as @e[type=armor_stand,tag=mei.label,tag=mei.init] at @s run function mei:entities/label/init
execute as @e[type=armor_stand,tag=mei.label] at @s run function mei:entities/label/update
#Vex Armor
execute as @a run function mei:items/function/vex_armor/update
#Grapple Hook
execute as @a[tag=mei.grappled] at @s run function mei:items/function/grapple_hook/update_grappled
#Pet
execute as @e[type=armor_stand,tag=mei.pet.base] at @s run function mei:items/function/pet/update
#Sprint Boosts
execute as @a[nbt={Inventory:[{components:{"minecraft:custom_data":{mei.item:{id:"speed_tailisman"}}}}]}] at @s run function mei:movement/sprint_boosts

#Guantlet Animation
execute as @a[scores={mei.guantlet.uptime=..1},nbt={Inventory:[{Slot:-106b,components:{"minecraft:custom_data":{mei.item:{type:"guantlet_swing"}}}}]}] run function mei:items/function/guantlet/reset_swing
execute as @e[type=armor_stand,tag=mei.display] run function mei:items/function/display/update

execute as @a[nbt={FallFlying:1b},scores={mei.used.double_jump=0}] at @s run function mei:entities/use_double_jump
execute as @a[nbt={OnGround:1b},scores={mei.used.double_jump=1}] at @s run scoreboard players set @s mei.used.double_jump 0

#Time Tracking
execute as @a run scoreboard players remove @s mei.guantlet.uptime 1
scoreboard players reset @a mei.sneak